import { Component } from '@angular/core';
import { Router, RouterModule } from '@angular/router';
import { AuthService } from '../../services/auth/auth.service';

@Component({
  selector: 'app-side-menu',
  standalone: true,
  imports: [RouterModule],
  templateUrl: './side-menu.component.html',
  styleUrl: './side-menu.component.scss'
})
export class SideMenuComponent {
  constructor(private router: Router, private auth: AuthService) { }

  logout() {
    this.auth.logout()
      .then(() => { this.router.navigateByUrl('/auth/login') })
      .catch(() => { alert('failed to log out') });
  }
}
